Added sdmp-fixes.patch from upstream to remove net-tools dependency
and couple of important fixes
This commit is contained in:
parent
93a0f9a758
commit
44711926a7
@ -28,7 +28,7 @@
|
||||
|
||||
Name: open-vm-tools
|
||||
Version: %{toolsversion}
|
||||
Release: 1%{?dist}
|
||||
Release: 2%{?dist}
|
||||
Summary: Open Virtual Machine Tools for virtual machines hosted on VMware
|
||||
License: GPLv2
|
||||
URL: https://github.com/vmware/%{name}
|
||||
@ -46,6 +46,8 @@ ExclusiveArch: %{ix86} x86_64
|
||||
%endif
|
||||
|
||||
Patch1: gcc10-warning.patch
|
||||
# Cumulative patch for fixes from https://github.com/vmware/open-vm-tools/tree/stable-11.1.0-SDMP-fixes
|
||||
Patch2: sdmp-fixes.patch
|
||||
|
||||
BuildRequires: autoconf
|
||||
BuildRequires: automake
|
||||
@ -140,7 +142,7 @@ Requires: coreutils
|
||||
Requires: gawk
|
||||
Requires: glibc-common
|
||||
Requires: grep
|
||||
Requires: net-tools
|
||||
Requires: iproute
|
||||
Requires: procps
|
||||
|
||||
%description sdmp
|
||||
@ -391,6 +393,10 @@ fi
|
||||
%{_bindir}/vmware-vgauth-smoketest
|
||||
|
||||
%changelog
|
||||
* Sun Jun 21 2020 Ravindra Kumar <ravindrakumar@vmware.com> - 11.1.0-2
|
||||
- Added sdmp-fixes.patch from upstream to remove net-tools dependency
|
||||
and couple of important fixes
|
||||
|
||||
* Mon May 25 2020 Ravindra Kumar <ravindrakumar@vmware.com> - 11.1.0-1
|
||||
- Package new upstream version open-vm-tools-11.1.0-16036546.
|
||||
- Added new open-vm-tools-sdmp package.
|
||||
|
132
sdmp-fixes.patch
Normal file
132
sdmp-fixes.patch
Normal file
@ -0,0 +1,132 @@
|
||||
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c b/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c
|
||||
index 87dd58936..c6c2e1dc3 100644
|
||||
--- a/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c
|
||||
+++ b/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c
|
||||
@@ -381,9 +381,9 @@ ReadData(ToolsAppCtx *ctx,
|
||||
status = SendRpcMessage(ctx, DynBuf_Get(&buf), DynBuf_GetSize(&buf),
|
||||
resultData, resultDataLen);
|
||||
if (!status) {
|
||||
- g_warning("%s: Read over RPC failed, result: %s, resultDataLen: %" FMTSZ
|
||||
- "u\n", __FUNCTION__, (*resultData != NULL) ?
|
||||
- *resultData : "(null)", *resultDataLen);
|
||||
+ g_debug("%s: Read over RPC failed, result: %s, resultDataLen: %" FMTSZ
|
||||
+ "u\n", __FUNCTION__, (*resultData != NULL) ?
|
||||
+ *resultData : "(null)", *resultDataLen);
|
||||
}
|
||||
done:
|
||||
DynBuf_Destroy(&buf);
|
||||
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
|
||||
index 496c95eb6..b74d17153 100644
|
||||
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
|
||||
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
|
||||
@@ -23,7 +23,7 @@ get_version() {
|
||||
}
|
||||
|
||||
get_vcops_version() {
|
||||
- cat $ALIVE_BASE/user/conf/lastbuildversion.txt 2>/dev/null
|
||||
+ cat /usr/lib/vmware-vcops/user/conf/lastbuildversion.txt 2>/dev/null
|
||||
}
|
||||
|
||||
get_srm_mgt_server_version() {
|
||||
@@ -76,10 +76,15 @@ get_db2_version() {
|
||||
db2level 2>/dev/null | grep "DB2 v"
|
||||
}
|
||||
|
||||
+get_tcserver_version() {
|
||||
+ command -v tcserver >/dev/null 2>&1 && { tcserver version 2>/dev/null; }
|
||||
+}
|
||||
+
|
||||
echo VERSIONSTART "vcops_version" "$(get_vcops_version)" VERSIONEND
|
||||
echo VERSIONSTART "srm_mgt_server_version" "$(get_srm_mgt_server_version)" VERSIONEND
|
||||
echo VERSIONSTART "vcenter_appliance_version" "$(get_vcenter_appliance_version)" VERSIONEND
|
||||
echo VERSIONSTART "db2_version" "$(get_db2_version)" VERSIONEND
|
||||
+echo VERSIONSTART "tcserver_version" "$(get_tcserver_version)" VERSIONEND
|
||||
|
||||
get_version "/\S+/(httpd-prefork|httpd|httpd2-prefork)($|\s)" -v
|
||||
get_version "/usr/(bin|sbin)/apache\S*" -v
|
||||
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh
|
||||
index 1694514af..0fc89c628 100644
|
||||
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh
|
||||
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh
|
||||
@@ -1,16 +1,16 @@
|
||||
#!/bin/sh
|
||||
|
||||
# check if necesary commands exist
|
||||
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
|
||||
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
|
||||
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
|
||||
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
|
||||
command -v tr >/dev/null 2>&1 || { echo >&2 "tr doesn't exist"; exit 1; }
|
||||
|
||||
# get pids of listening processes
|
||||
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | sort -u)
|
||||
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | sort -u)
|
||||
|
||||
# grep pattern
|
||||
pattern=$(echo $space_separated_pids | tr ' ' '|')
|
||||
|
||||
# get matching lines
|
||||
-netstat -antup | grep -E $pattern
|
||||
+ss -antup | grep -E $pattern
|
||||
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh
|
||||
index 173b1c044..d7a102005 100644
|
||||
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh
|
||||
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh
|
||||
@@ -1,14 +1,14 @@
|
||||
#!/bin/sh
|
||||
|
||||
# check if necesary commands exist
|
||||
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
|
||||
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
|
||||
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
|
||||
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
|
||||
command -v tr >/dev/null 2>&1 || { echo >&2 "tr doesn't exist"; exit 1; }
|
||||
command -v ps >/dev/null 2>&1 || { echo >&2 "ps doesn't exist"; exit 1; }
|
||||
|
||||
# get pids of listening processes
|
||||
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | grep -Eo "[0-9]*" | sort -u)
|
||||
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | grep -Eo "[0-9]*" | sort -u)
|
||||
|
||||
# ps accepts comma separated pids
|
||||
comma_separated_pids=$(echo $space_separated_pids | tr ' ' ',')
|
||||
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh
|
||||
index ad83762d5..9a694d4c4 100644
|
||||
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh
|
||||
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh
|
||||
@@ -1,7 +1,7 @@
|
||||
#!/bin/sh
|
||||
|
||||
# check if necesary commands exist
|
||||
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
|
||||
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
|
||||
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
|
||||
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
|
||||
command -v awk >/dev/null 2>&1 || { echo >&2 "awk doesn't exist"; exit 1; }
|
||||
@@ -108,6 +108,6 @@ get_performance_metrics() {
|
||||
run $pids
|
||||
}
|
||||
|
||||
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | grep -Eo "[0-9]+" | sort -u)
|
||||
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | grep -Eo "[0-9]+" | sort -u)
|
||||
|
||||
get_performance_metrics $space_separated_pids
|
||||
\ No newline at end of file
|
||||
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
|
||||
index b74d17153..c7a1e7cfb 100644
|
||||
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
|
||||
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
|
||||
@@ -1,12 +1,12 @@
|
||||
#!/bin/sh
|
||||
|
||||
# check if necesary commands exist
|
||||
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
|
||||
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
|
||||
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
|
||||
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
|
||||
command -v ps >/dev/null 2>&1 || { echo >&2 "ps doesn't exist"; exit 1; }
|
||||
|
||||
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | grep -Eo "[0-9]*" | sort -u)
|
||||
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | grep -Eo "[0-9]*" | sort -u)
|
||||
|
||||
get_command_line() {
|
||||
ps --pid $1 -o command
|
Loading…
Reference in New Issue
Block a user